Package org.drinkless.tdlib

# Class TdApi.Proxy

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Proxy

Enclosing class:
  `TdApi`

public static class TdApi.Proxy extends TdApi.Object
Describes a proxy server.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `port`
  Proxy server port.
  `String`
  `server`
  Proxy server domain or IP address.
  `TdApi.ProxyType`
  `type`
  Type of the proxy.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Proxy()`
  Describes a proxy server.
  `Proxy(String server, int port, TdApi.ProxyType type)`
  Describes a proxy server.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### server

    public String server
    Proxy server domain or IP address.

  - ### port

    public int port
    Proxy server port.

  - ### type

    public TdApi.ProxyType type
    Type of the proxy.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Proxy

    public Proxy()
    Describes a proxy server.

  - ### Proxy

    public Proxy(String server, int port, TdApi.ProxyType type)
    Describes a proxy server.
    Parameters:
      `server` - Proxy server domain or IP address.
      `port` - Proxy server port.
      `type` - Type of the proxy.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR